metaHTML

# Class: htmlTableExtendedSelect

Source Location: /lib/html.inc

### Class Overview

    htmlElement
       |
       --htmlSelect
          |
          --htmlTableExtendedSelect

Select with label and help link.

### Methods

- __construct
- generateHTML

### Inherited Constants

#### Class: htmlElement

htmlElement::ALIGN_BOTTOM
htmlElement::ALIGN_CENTER
htmlElement::ALIGN_LEFT
htmlElement::ALIGN_RIGHT
htmlElement::ALIGN_TOP
htmlElement::VALIDATE_NUMERIC

### Inherited Variables

#### Class: htmlElement

htmlElement::$alignment
htmlElement::$colspan
htmlElement::$rowspan

### Inherited Methods

#### Class: htmlSelect

htmlSelect::__construct()
  Constructor.
htmlSelect::generateHTML()
  Prints the HTML code for this element.
htmlSelect::setContainsOptgroups()
  Specifies if the elements are divided into optgroups.
htmlSelect::setHasDescriptiveElements()
  Specifies if the elements are just a simple list or an assoziative array (default: simple list).
htmlSelect::setIsEnabled()
  Specifies if this component is enabled and accepts user modification.
htmlSelect::setMultiSelect()
  Specifies if multi-selection is enabled (default: disabled).
htmlSelect::setOnchangeEvent()
  Sets the JavaScript code for the onchange event.
htmlSelect::setRightToLeftTextDirection()
  Specifies if the text direction should be set to right to left.
htmlSelect::setSortElements()
  Specifies if the elemets should be sorted (default: sort).
htmlSelect::setTransformSingleSelect()
  Specifies if select boxes that contain only a single element should be transformed to a simple text field.
htmlSelect::setWidth()
  Specifies the width of this selection box.

#### Class: htmlElement

htmlElement::generateHTML()
  Prints the HTML code for this element.
htmlElement::getAlignmentString()
  Returns the HTML attributes for the alignment.
htmlElement::getColspanString()
  Returns the HTML attribute for the colspan.
htmlElement::getRowspanString()
  Returns the HTML attribute for the rowspan.

### Class Details

[line 1036]
Select with label and help link.
[ Top ]

### Class Methods

### constructor __construct [line 1053]

`htmlTableExtendedSelect __construct( String $name, array $elements, array $selectedElements, String $label, [String $helpID = null], [int $size = 1])`

Constructor.
Overrides htmlSelect::__construct() (Constructor.)

#### Parameters:

String | $name | element name
array | $elements | list of elememts
array | $selectedElements | list of selected elements
String | $label | descriptive label
String | $helpID | help ID (optional, default none)
int | $size | size (optional, default = 1)

[ Top ]

### method generateHTML [line 1070]

`array generateHTML( string $module, array $input, array $values, boolean $restricted, &$tabindex, string $scope, integer $tabindex)`

Prints the HTML code for this element.

#### Tags:

return: | List of input field names and their type (name => type)

Overrides htmlSelect::generateHTML() (Prints the HTML code for this element.)

#### Parameters:

string | $module | Name of account module
array | $input | List of meta-HTML elements
array | $values | List of values which override the defaults in $input (name => value)
boolean | $restricted | If true then no buttons will be displayed
integer | $tabindex | Start value of tabulator index for input fields
string | $scope | Account type
| &$tabindex |

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:29:50 +0100 by phpDocumentor 1.4.1